curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"active": true,
"scope": "openid profile email",
"expires_at": "2085-05-13T23:03:30+0000",
"exp": 3640633410,
"sub": "6cc435f8-2960-4e37-8370-192fc350b552",
"user_id": "2345|nxt",
"client_id": "b0949ff1-bad0-4e09-95d1-5215e349d1b8",
"token_type": "Bearer"
}{
"error": "invalid_request",
"error_description": "Required String parameter 'token' is not present"
}{
"error": "invalid_client",
"error_description": "Bad client credentials"
}{
"error": "access_denied",
"error_description": "Client [rpId] is not allowed to call introspection endpoint"
}Token Revoke
Accepts a supplied OAuth 2.0 access or refresh token and performs performs RFC 7662 token inspection on it. Responds with a JSON payload as per §2.2 of the RFC. Access to this Introspection Endpoint must be enabled for the particular client accessing it, and that client must supply valid OAuth 2.0 client credentials in the request as well.
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/oidc/introspect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"active": true,
"scope": "openid profile email",
"expires_at": "2085-05-13T23:03:30+0000",
"exp": 3640633410,
"sub": "6cc435f8-2960-4e37-8370-192fc350b552",
"user_id": "2345|nxt",
"client_id": "b0949ff1-bad0-4e09-95d1-5215e349d1b8",
"token_type": "Bearer"
}{
"error": "invalid_request",
"error_description": "Required String parameter 'token' is not present"
}{
"error": "invalid_client",
"error_description": "Bad client credentials"
}{
"error": "access_denied",
"error_description": "Client [rpId] is not allowed to call introspection endpoint"
}Authorizations
Authentication using query parameters
Query Parameters
OAuth 2.0 Access Token or Refresh Token
OAuth 2.0 client-ID of the Relying Party
OAuth 2.0 client secret of the Relying Party. Not needed for public RPs withouot secret.
(Optional) Ignored.
Response
OK
Introspect Response
Is token valid?
true
Scopes for this token, delimited by space
"openid profile email"
Expiry time of the acess token in ISO format
"2085-05-13T23:03:30+0000"
Expiry time of the acess token
3640633410
SubId
"6cc435f8-2960-4e37-8370-192fc350b552"
The Id of the user for which the token was issued.
"2345|nxt"
OAuth 2.0 client-ID of the Relying Party.
"b0949ff1-bad0-4e09-95d1-5215e349d1b8"
The type of the token. (E.g. "Bearer")
"Bearer"

